Skip to main content
GET
Get Links

Authorizations

Authorization
string
header
required

Bearer authentication with a personal access token (prefix pat_). Generate tokens in the Truv web app under Settings → API keys.

Query Parameters

statuses
string[] | null

Filter links by status (e.g. 'done', 'new', 'error'). Omit to include all statuses.

data_sources
enum<string>[] | null

Filter links by data source type (e.g. 'payroll', 'financial_accounts'). Omit to include all.

Source of data: payroll - payroll provider parsing, docs - user uploaded documents, insurance - insurance data, financial_accounts - bank data, tax - tax documents, scoring_attributes - transactions scoring attributes report.

Available options:
payroll,
docs,
insurance,
financial_accounts,
tax,
scoring_attributes,
credit

Response

Paginated list of connected financial institution and payroll links.

Paginated list of connected links returned by GET /v1/links.

results
LinkView · object[]
required

Connected financial institution and payroll links.

count
integer
required

Number of links returned.

Example:

2

next
string | null

URL of the next page, if any.

previous
string | null

URL of the previous page, if any.